## strongswan 5.0.4

=== debian/changelog ===
strongswan (5.0.4-6) eole-2.4-unstable; urgency=low

  [ Fabrice ]
  * [77fc39b] Application correctif CVE-2014-2338
  * [74df741] Application du correctif CVE-2014-2891
  * [ac52887] Correction du numéro de version

  [ Equipe Eole ]
  * [4ee28ab] ## Nouveau paquet compilé par barco : strongswan (5.0.1-eole3~1.gbp77fc39) eole-2.3-proposed depuis dist/ubuntu/lucid/master
  * [9062d4c] ## Nouveau paquet compilé par barco : strongswan (5.0.1-eole3~2.gbp74df74) eole-2.3-proposed depuis dist/ubuntu/lucid/master

  [ Fabrice Barconnière ]
  * [f8b6dd1] Application du correctif  CVE-2013-2944
  * [b596b9b] Application du correctif CVE-2013-5018
  * [bac68fa] Application du correctif CVE-2013-6075
  * [d191144] Application du correctif CVE-2013-6076
  * [d35f930] Merge branch 'dist/ubuntu/lucid/master' into dist/ubuntu/precise/master
  * [4fdf6a2] Rafraichissement des patches de sécurité

  [ EOLE Build Daemon ]
  * [095628a] Fabrice Barconnière: Update package since 'debian/eole/2.4/5.0.4-5'

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Tue, 20 May 2014 15:50:39 +0200

strongswan (5.0.4-5) eole-2.4-unstable; urgency=low

  [ Daniel Dehennin ]
  * [808ad90] Add git-buildpackage configuration for debian version tag format

  [ Fabrice ]
  * [9140327] Application correctif CVE-2014-2338
  * [76e5c25] Application du correctif CVE-2014-2891

  [ EOLE Build Daemon ]
  * [37f4619] Fabrice: Update package since 'debian/eole/2.4/5.0.4-4'

 -- Fabrice <fabrice.barconniere@ac-dijon.fr>  Wed, 14 May 2014 11:04:35 +0200

strongswan (5.0.4-4) eole-2.4-unstable; urgency=low

  * [181551a] Install extra plugins “sqlite” and “duplicheck”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Fri, 27 Sep 2013 11:56:27 +0200

strongswan (5.0.4-3) eole-2.4-unstable; urgency=low

  * [c963557] Enable extra plugins “sqlite” and “duplicheck”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Wed, 25 Sep 2013 16:42:11 +0200

strongswan (5.0.4-2) eole-2.4-unstable; urgency=low

  * [acaa116] Missing scripts key2keyid and bin2sql

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Fri, 20 Sep 2013 16:50:38 +0200

strongswan (5.0.4-1) eole-2.4-unstable; urgency=low

  * [882c5d3] Imported Upstream version 5.0.4
  * [067995c] Import packaging from Debian
  * [061186c] Modify Debian Packaging for Precise Pangolin

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Thu, 19 Sep 2013 11:01:03 +0200

strongswan (5.0.1-1) eole-2.4-unstable; urgency=low

  * [6b2c742] Update packaging for Precise Pangolin

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Wed, 18 Sep 2013 14:14:33 +0200
