=== debian/control ===
Source: strongswan
Section: net
Priority: optional
Maintainer: Équipe EOLE <eole@ac-dijon.fr>
XSBC-Original-Maintainer: Rene Mayrhofer <rmayr@debian.org>
XSBC-Original-Uploaders: Yves-Alexis Perez <corsac@debian.org>
Standards-Version: 3.9.3
Vcs-Browser: http://dev-eole.ac-dijon.fr/projects/strongswan
Vcs-Git: http://dev-eole.ac-dijon.fr/git/strongswan
XSBC-Original-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-swan/strongswan.git;a=summary
XSBC-Original-Vcs-Git: git://anonscm.debian.org/pkg-swan/strongswan.git
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1), libtool, libgmp3-dev,
  libssl-dev (>= 0.9.8), libcurl4-openssl-dev | libcurl3-dev | libcurl2-dev,
  libldap2-dev, libpam0g-dev, libkrb5-dev, bison, flex, bzip2, po-debconf,
  hardening-wrapper, libfcgi-dev, clearsilver-dev,
  libxml2-dev, libsqlite3-dev, network-manager-dev (>= 0.7) [linux-any], 
  libnm-glib-vpn-dev (>= 0.7) [linux-any], libnm-util-dev (>= 0.7) [linux-any], 
  gperf, libcap-dev [linux-any]
Homepage: http://www.strongswan.org

Package: strongswan
Architecture: all
Depends: ${misc:Depends}, strongswan-ike
Suggests: network-manager-strongswan
Description: IPsec VPN solution metapackage
 The strongSwan VPN suite is based on the IPsec stack in standard Linux 2.6
 kernels. It supports both the IKEv1 and IKEv2 protocols.
 .
 StrongSwan is one of the two remaining forks of the original FreeS/WAN
 project and focuses on IKEv2 support, X.509 authentication and complete PKI
 support. For a focus on Opportunistic Encryption (OE) and interoperability
 with non-standard IPsec features, see Openswan.
 .
 This metapackage installs the packages required to maintain IKEv1 and IKEv2
 connections via ipsec.conf or ipsec.secrets.

Package: libstrongswan
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, openssl
Conflicts: strongswan (<< 4.2.12-1)
Breaks: strongswan-ikev2 (<< 4.6.4)
Replaces: strongswan-ikev2 (<< 4.6.4)
Description: strongSwan utility and crypto library
 StrongSwan is an IPsec-based VPN solution for the Linux kernel. It uses the
 native IPsec stack and runs on any recent 2.6 kernel (no patching required).
 It supports both IKEv1 and the newer IKEv2 protocols.
 .
 This package provides the underlying library of charon and other strongSwan
 components. It is built in a modular way and is extendable through various
 plugins.

Package: strongswan-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends}, strongswan, libstrongswan
Description: strongSwan library and binaries - debugging symbols
 StrongSwan is an IPsec-based VPN solution for the Linux kernel. It uses the
 native IPsec stack and runs on any recent 2.6 kernel (no patching required).
 It supports both IKEv1 and the newer IKEv2 protocols.
 .
 This package provides the symbols needed for debugging of strongswan.

Package: strongswan-starter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
  libstrongswan (= ${binary:Version}), strongswan-ike,
  adduser
Conflicts: strongswan (<< 4.2.12-1)
Description: strongSwan daemon starter and configuration file parser
 StrongSwan is an IPsec-based VPN solution for Linux and other Unixes. It uses
 the native IPsec stack and runs on any recent kernel (no patching required).
 It supports both IKEv1 and the newer IKEv2 protocols.
 .
 The starter and the associated "ipsec" script control the charon daemon
 from the command line. It parses ipsec.conf and loads the configurations to
 the daemon.

Package: strongswan-ike
Architecture: any
Pre-Depends: debconf | debconf-2.0
Depends: ${shlibs:Depends}, ${misc:Depends}, 
  libstrongswan (= ${binary:Version}), strongswan-starter | strongswan-nm,
  bsdmainutils, debianutils (>=1.7), ipsec-tools, host, iproute
Suggests: curl
Provides: ike-server
Conflicts: freeswan (<< 2.04-12), openswan, strongswan (<< 4.2.12-1)
Replaces: strongswan-ikev1, strongswan-ikev2
Description: strongSwan Internet Key Exchange (v2) daemon
 StrongSwan is an IPsec-based VPN solution for the Linux kernel. It uses the
 native IPsec stack and runs on any recent 2.6 kernel (no patching required).
 It supports both IKEv1 and the newer IKEv2 protocols.
 .
 Charon is an IPsec IKEv2 daemon. It is
 written from scratch using a fully multi-threaded design and a modular
 architecture. Various plugins provide additional functionality.

Package: strongswan-nm
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, strongswan-ike
Recommends: network-manager-strongswan
Description: strongSwan plugin to interact with NetworkManager
 StrongSwan is an IPsec-based VPN solution for the Linux kernel. It uses the
 native IPsec stack and runs on any recent 2.6 kernel (no patching required).
 It supports both IKEv1 and the newer IKEv2 protocols.
 .
 This plugin provides an interface which allows NetworkManager to configure
 and control the IKEv2 daemon directly through D-Bus. It is designed to work
 in conjunction with the network-manager-strongswan package, providing
 a simple graphical frontend to configure IPsec based VPNs.

Package: strongswan-ikev1
Architecture: all
Depends: ${misc:Depends}, strongswan-ike
Section: oldlibs
Priority: extra
Description: strongswan IKEv1 daemon, transitional package
 StrongSwan is an IPsec-based VPN solution for the Linux kernel. It uses the
 native IPsec stack and runs on any recent 2.6 kernel (no patching required).
 It supports both IKEv1 and the newer IKEv2 protocols.
 .
 This package used to install the pluto daemon, implementing the IKEv1
 protocol. It has been replaced by charon in the strongswan-ike package.

Package: strongswan-ikev2
Architecture: all
Depends: ${misc:Depends}, strongswan-ike
Section: oldlibs
Priority: extra
Description: strongswan IKEv2 daemon, transitional package
 StrongSwan is an IPsec-based VPN solution for the Linux kernel. It uses the
 native IPsec stack and runs on any recent 2.6 kernel (no patching required).
 It supports both IKEv1 and the newer IKEv2 protocols.
 .
 This package used to install the charon daemon, implementing the IKEv2
 protocol. It has been replaced the strongswan-ike package.
