=== debian/control ===
--- 
+++ 
@@ -1,21 +1,18 @@
 Source: strongswan
 Section: net
 Priority: optional
-Maintainer: Équipe EOLE <eole@ac-dijon.fr>
-XSBC-Original-Maintainer: Rene Mayrhofer <rmayr@debian.org>
-XSBC-Original-Uploaders: Yves-Alexis Perez <corsac@debian.org>
-Standards-Version: 3.9.3
-Vcs-Browser: http://dev-eole.ac-dijon.fr/projects/strongswan
-Vcs-Git: http://dev-eole.ac-dijon.fr/git/strongswan
-XSBC-Original-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-swan/strongswan.git;a=summary
-XSBC-Original-Vcs-Git: git://anonscm.debian.org/pkg-swan/strongswan.git
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1), libtool, libgmp3-dev,
+Maintainer: Rene Mayrhofer <rmayr@debian.org>
+Uploaders: Yves-Alexis Perez <corsac@debian.org>
+Standards-Version: 3.9.4
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-swan/strongswan.git;a=summary
+Vcs-Git: git://anonscm.debian.org/pkg-swan/strongswan.git
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.2), libtool, libgmp3-dev, 
   libssl-dev (>= 0.9.8), libcurl4-openssl-dev | libcurl3-dev | libcurl2-dev,
   libldap2-dev, libpam0g-dev, libkrb5-dev, bison, flex, bzip2, po-debconf,
   hardening-wrapper, libfcgi-dev, clearsilver-dev,
   libxml2-dev, libsqlite3-dev, network-manager-dev (>= 0.7) [linux-any], 
   libnm-glib-vpn-dev (>= 0.7) [linux-any], libnm-util-dev (>= 0.7) [linux-any], 
-  gperf, libcap-dev [linux-any]
+  gperf, libcap-dev [linux-any], dh-autoreconf
 Homepage: http://www.strongswan.org
 
 Package: strongswan
@@ -81,7 +78,7 @@
 Pre-Depends: debconf | debconf-2.0
 Depends: ${shlibs:Depends}, ${misc:Depends}, 
   libstrongswan (= ${binary:Version}), strongswan-starter | strongswan-nm,
-  bsdmainutils, debianutils (>=1.7), ipsec-tools, host, iproute
+  bsdmainutils, debianutils (>=1.7), ipsec-tools, host, iproute [linux-any]
 Suggests: curl
 Provides: ike-server
 Conflicts: freeswan (<< 2.04-12), openswan, strongswan (<< 4.2.12-1)
