=== debian/rules ===
--- 
+++ 
@@ -18,8 +18,7 @@
 		--enable-test-vectors \
 		--enable-xauth-eap --enable-xauth-pam \
 		--enable-attr-sql \
-		--enable-sqlite \
-		--enable-duplicheck \
+		--enable-cmd \
 		--disable-blowfish --disable-des # BSD-Young license
 	#--with-user=strongswan --with-group=nogroup
 	#	--enable-kernel-pfkey --enable-kernel-klips \
@@ -72,15 +71,12 @@
 
 	# just in case something went wrong
 	rm -f $(CURDIR)/debian/ipsec.secrets
-
+	
 	# and make sure that template are up-to-date
 	debconf-updatepo
 
-override_dh_auto_build-indep:
-override_dh_auto_test-indep:
-override_dh_auto_install-indep:
 
-override_dh_install-arch:
+override_dh_install:
 
 	# first special cases
 ifeq ($(DEB_BUILD_ARCH_OS),linux)
@@ -150,7 +146,7 @@
 override_dh_strip:
 	dh_strip --dbg-package=strongswan-dbg
 
-override_dh_fixperms-arch:
+override_dh_fixperms:
 	dh_fixperms -X etc/ipsec.secrets -X etc/ipsec.d -X var/lib/strongswan
 
 override_dh_makeshlibs:
@@ -160,4 +156,4 @@
 	dh_installlogcheck --name strongswan
 
 %:
-	dh $@ --parallel
+	dh $@ --parallel --with autoreconf
